Code review comment for lp:~ignacio-nin/percona-server/5.0-nonconflicting-libmysqlclient

Revision history for this message
Ignacio Nin (ignacio-nin) wrote :

> Why do we have to fix this for 5.0? Does this mean we'd have to make a new 5.0
> release?

Since the 5.0 packages still live in the repositories, this fix was needed to make it compatible with the 5.1 and 5.5 packages.

Furthermore, CentOS 5 ships libmysqlclient from 5.0, so all packages are linked to libmysqlclient.so.15 and our Percona-SQL-shared-50 gets called in when something depends on libmysqlclient.so.15.

However I wouldn't consider this a new release since there's no new code (it's 5.0.92 still), just a minor update to the packages.

« Back to merge proposal